Skip to main content
GET
/
api
/
v1
/
sources
/
{id}
Get data source details
curl --request GET \
  --url https://api.camelai.com/api/v1/sources/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "account_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "is_fully_configured": true
}

Documentation Index

Fetch the complete documentation index at: https://camelai.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer scheme

Path Parameters

id
string
required

Response

Serializer for Connection model.

id
integer
required
read-only
account_name
string
required
Maximum string length: 255
type
enum<string>
required
  • SUPABASE - Supabase
  • POSTGRES - Postgres
  • MYSQL - MySQL
  • BIGQUERY - BigQuery
  • DATABRICKS - Databricks
  • FILE - File Upload
  • MOTHERDUCK - MotherDuck
  • CLICKHOUSE - ClickHouse
  • MONGODB - MongoDB
  • MIXPANEL - Mixpanel
  • SINGLESTORE - SingleStore
  • GOOGLE_SHEETS - Google Sheets
  • MSSQL - SQL Server
  • SNOWFLAKE - Snowflake
  • MCP - MCP
Available options:
SUPABASE,
POSTGRES,
MYSQL,
BIGQUERY,
DATABRICKS,
FILE,
MOTHERDUCK,
CLICKHOUSE,
MONGODB,
MIXPANEL,
SINGLESTORE,
GOOGLE_SHEETS,
MSSQL,
SNOWFLAKE,
MCP
created_at
string<date-time>
required
read-only
is_fully_configured
boolean
required
read-only